<?php

// API routes  for plano
Route::prefix('{guard}/plano')->group(function () {
    Route::get('plano/form/{element}', 'PlanoAPIController@form');
    Route::resource('plano', 'PlanoAPIController');
});


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for planos
            Route::prefix('{guard}/plano')->group(function () {
                Route::get('plano/form/{element}', 'PlanoAPIController@form');
                Route::apiResource('plano', 'PlanoAPIController');
            });
            // Public routes for planos
            Route::get('plano/Plano', 'PlanoPublicController@getPlano');
        }
    );
}

