<?php

// web routes  for plano
Route::prefix('{guard}/plano')->group(function () {
    Route::resource('plano', 'PlanoResourceController');
});


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'PlanoResourceController');
            });
            // Public routes for pages
            Route::get('planos/', 'PlanoPublicController@index');
            Route::get('planos/{slug?}', 'PlanoPublicController@show');
        }
    );
}

