<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for plano in plano package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  plano module in plano package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'Plano',
    'names'         => 'Planos',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'Planos',
        'sub'   => 'Planos',
        'list'  => 'List of planos',
        'edit'  => 'Edit plano',
        'create'    => 'Create new plano'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => '',
        'titulo'                     => '',
        'descricao'                  => '',
        'preco'                      => '',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => '',
        'titulo'                     => 'Título',
        'descricao'                  => 'Descrição',
        'preco'                      => 'Preço',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'id'                         => ['name' => '', 'data-column' => 1, 'checked'],
        'titulo'                     => ['name' => 'Título', 'data-column' => 2, 'checked'],
        'preco'                      => ['name' => 'Preço', 'data-column' => 3, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'Planos',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
